# Archivo de despliegue docker-compose.yml para personalizar
# Software de foro PHPPB3 3.3.14 en castellano formal (Usted)
# El hostname del servidor de la base de datos debe ser mysql si usas esta plantilla tal cual
# Basada en imagen profesoralconchel/phpbb3gaap:latest
# Actualizada a 2 de marzo de 2025


services:
  phpbb:
    image: profesoralconchel/phpbb3gaap:latest
    container_name: phpbb
    restart: unless-stopped
    ports:
      - "8080:80"
    volumes:
      - phpbb-datos:/var/www/html
    depends_on:
      - mysql
    environment:
      MYSQL_DATABASE: XXXXXXXXXXXXXXXXXX
      MYSQL_USER: XXXXXXXXXXXXXXXXXX
      MYSQL_PASSWORD: XXXXXXXXXXXXXXXXXX
      MYSQL_ROOT_PASSWORD: XXXXXXXXXXXXXXXXXX
    networks:
      - XXXXXXXXXXXXXXXXXX

volumes:
  phpbb-datos:

networks:
  XXXXXXXXXXXXXXXXXX: